GH-GIST-LIST(1)

NAME
gh-gist-list - List your gists

SYNOPSIS
gh gist list [flags]

DESCRIPTION
List gists from your user account.

You can use a regular expression to filter the description, file names, or even the content of files in the gist using --filter.

For supported regular expression syntax, see ⟨https://pkg.go.dev/regexp/syntax⟩.

Use --include-content to include content of files, noting that this will be slower and increase the rate limit used. Instead of printing a table, code will be printed with highlights similar to gh search code:
    {{gist ID}} {{file name}}
        {{description}}
            {{matching lines from content}}

No highlights or other color is printed when output is redirected.

OPTIONS

--filter <expression>
    Filter gists using a regular expression

--include-content
    Include gists' file content when filtering

-L, --limit <int> (default 10)
    Maximum number of gists to fetch

--public
    Show only public gists

--secret
    Show only secret gists

ALIASES
gh gist ls

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # list all secret gists from your user account
    $ gh gist list --secret
    # find all gists from your user account mentioning "octo" anywhere
    $ gh gist list --filter octo --include-content

SEE ALSO
gh-gist(1)